import { ISubtitle } from "./ISubtitle";
export declare class PreloadedSubtitle implements ISubtitle {
    private _id;
    private _title;
    private _author;
    private _isDefault;
    private _delay;
    private _content;
    constructor(content: Uint8Array, id: number, title: string, author: string, isDefault: boolean, delay: number);
    getId(): number;
    getTitle(): string;
    getContent(): Promise<Uint8Array>;
    getContentAsString(): Promise<string>;
    getAuthor(): string;
    isDefault(): boolean;
    getDelay(): number;
}
